<?php  
 
    $wp_customize->add_section(
        'facility_section',
        array(
            'title' => __( 'Facility Section', 'Luzuk' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'facility_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'facility_section_disable',
            array(
                'settings'      => 'facility_section_disable',
                'section'       => 'facility_section',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    );

lzCustomLable($wp_customize, 'facility_upper_box', 'facility_section', 'Manage Background For Complete Section:');

backgroundManager($wp_customize, 'facility', 'facility_section', $color='#ffffff');


lzCustomLable($wp_customize, 'facility_lower_box', 'facility_section', 'Set Background Color For Facility Box:');

$wp_customize->add_setting(
    'Facility_ContentBox_color_one', array(
        'default'           => '#7989f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Facility_ContentBox_color_one',array(
            'settings'      => 'Facility_ContentBox_color_one',
            'section'       => 'facility_section',
            'label'         => __( 'Facility Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Facility_ContentBox_color_two', array(
        'default'           => '#50b2f1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Facility_ContentBox_color_two',array(
            'settings'      => 'Facility_ContentBox_color_two',
            'section'       => 'facility_section',
            'label'         => __( 'Facility Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


lzCustomLable($wp_customize, 'facilitySectionPaddingSetting', 'facility_section', 'Section Top & Bottom Padding:');

$wp_customize->add_setting(
    'facilityTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '6em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'facilityTpadding',
    array(
        'settings'      => 'facilityTpadding',
        'section'       => 'facility_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'facilityBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '15em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'facilityBpadding',
    array(
        'settings'      => 'facilityBpadding',
        'section'       => 'facility_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);




lzCustomLable($wp_customize, 'stepsSectionTitlendSubttl', 'facility_section', 'Section Title & Sub Title:');


$wp_customize->add_setting(
    'facility_area_subtitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'HEADING HERE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facility_area_subtitle',
    array(
        'settings'      => 'facility_area_subtitle',
        'section'       => 'facility_section',
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'facility_area_SuTitleColor', 'facility_section', 'Section Sub Title Color', '#ffffff');
 

$wp_customize->add_setting(
    'facility_area_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Our <span>Facilities</span>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facility_area_title',
    array(
        'settings'      => 'facility_area_title',
        'section'       => 'facility_section',
        'type'          => 'text',
        'label'         => __( 'Section Title', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'facility_area_TitleColor', 'facility_section', 'Section Title Color', '#ffffff');

addColorPalatOption($wp_customize, 'facility_area_TitleBorderColor', 'facility_section', 'Section Title Border Color', '#ffffff');


$wp_customize->add_setting('facility_section_iconntnlbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'facility_section_iconntnlbl',
        array(
            'settings'      => 'facility_section_iconntnlbl',
            'section'       => 'facility_section',
            'label'         => __( 'Note:', 'Luzuk' ),    
            'description'   => __( 'Changes Will not reflect untill you select fontawesome icon', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('facility_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'facility_npp_heading',
        array(
            'settings'      => 'facility_npp_heading',
            'section'       => 'facility_section',
            'label'         => __( 'Number Of Facility Plans', 'Luzuk' ),
        )
    )
);    
$wp_customize->add_setting('facility_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 5));
$wp_customize->add_control(
    'facility_npp_count',
    array(
        'settings'      => 'facility_npp_count',
        'section'       => 'facility_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'facility_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'facility_header'.$i,
            array(
                'settings'      => 'facility_header'.$i,
                'section'       => 'facility_section',
                'label'         => __( 'Facility Page ', 'Luzuk' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'facility_page_icon'.$i,
        array(
            'default'           => 'fa fa-truck',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'facility_page_icon'.$i,
            array(
                'settings'      => 'facility_page_icon'.$i,
                'section'       => 'facility_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk' ),
            )
        )
    ); 
lzAddElement($wp_customize, 'facility_page_title_'.$i, 'facility_section', $type = 'text', $label="Facility Page Title", $callback ='lz_fitness_sanitize_text', $default='Pickup Service');


lzAddElement($wp_customize, 'facility_page_Description_'.$i, 'facility_section', $type = 'textarea', $label="Facility Page Description", $callback ='lz_fitness_sanitize_text', $default='Lorem ipsum dolor sit amet, consec tetur adipis vamus.');


lzAddElement($wp_customize, 'facility_page_url_'.$i, 'facility_section', $type = 'text', $label="Link For Facility Page", $callback ='esc_url', $default='Add link here');
}


lzCustomLable($wp_customize, 'facilitySectionColorsSetting', 'facility_section', 'Set Colors:');


addColorPalatOption($wp_customize, 'Facility_PageIconColor', 'facility_section', 'Facility Page Icon Color', '#129cf5');
addColorPalatOption($wp_customize, 'Facility_PageIconHoverColor', 'facility_section', 'Facility Page Hover Icon Color', '#212c5a');

addColorPalatOption($wp_customize, 'Facility_PageIconBackgroundColor', 'facility_section', 'Facility Page Icon Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'Facility_PageTitleColor', 'facility_section', 'Facility Page Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'Facility_PageDescriptionColor', 'facility_section', 'Facility Page Description Color', '#ffffff');





$wp_customize->add_setting(
    'Facility_ContentBoxHighlight_color_one', array(
        'default'           => '#8599f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Facility_ContentBoxHighlight_color_one',array(
            'settings'      => 'Facility_ContentBoxHighlight_color_one',
            'section'       => 'facility_section',
            'label'         => __( 'Highlight Shape 1 Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Facility_ContentBoxHighlight_color_two', array(
        'default'           => '#78a7f7',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Facility_ContentBoxHighlight_color_two',array(
            'settings'      => 'Facility_ContentBoxHighlight_color_two',
            'section'       => 'facility_section',
            'label'         => __( 'Highlight Shape 1 Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

$wp_customize->add_setting(
    'Facility_ContentBoxHighlight2_color_one', array(
        'default'           => '#7ea0f7',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Facility_ContentBoxHighlight2_color_one',array(
            'settings'      => 'Facility_ContentBoxHighlight2_color_one',
            'section'       => 'facility_section',
            'label'         => __( 'Highlight Shape 2 Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Facility_ContentBoxHighlight2_color_two', array(
        'default'           => '#68b8f5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Facility_ContentBoxHighlight2_color_two',array(
            'settings'      => 'Facility_ContentBoxHighlight2_color_two',
            'section'       => 'facility_section',
            'label'         => __( 'Highlight Shape 2 Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 



lzCustomLable($wp_customize, 'facvaccumicondisp1', 'facility_section', 'Vaccum Icon Display Setting:');
// to show & hide another button
$wp_customize->add_setting( 'faci_vaccumicon_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'faci_vaccumicon_button_display', array( 'label' => 'Vaccum Icon Display', 'section' => 'facility_section', 'settings' => 'faci_vaccumicon_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Vaccum Icon Animation', 'hide' => 'Hide Vaccum Icon Animation', ), ) ); 


addColorPalatOption($wp_customize, 'facility_Laundry_VaccumIconColor', 'facility_section', 'Vaccum Icon Color', '#68b8f5');
